#ifndef FSINTERFACE_H
#define FSINTERFACE_H

#include "fusestructs.h"

void OpenFS(fuseArgStruct* fuseArgs, char* programPath);
FileSystem* SetupFS(fuseArgStruct* fuseArgs);
void MapFS(int fd);
void UnmapFS(void);
void FormatFS(FileSystem* fs);
void LoadFS(FileSystem** fs);
void TearDownFS(void);
int zerosize(int fd);


#endif